Get an article
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/portals/{id}/articles/{article_id} \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/portals/{id}/articles/{article_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/portals/{id}/articles/{article_id}"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": 123,
"content": "<string>",
"meta": {},
"position": 123,
"status": "draft",
"title": "<string>",
"slug": "<string>",
"views": 123,
"portal_id": 123,
"account_id": 123,
"author_id": 123,
"category_id": 123,
"folder_id": 123,
"associated_article_id": 123
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}Help Center
Get an article
Get an article in a help center portal.
GET
/
api
/
v1
/
accounts
/
{account_id}
/
portals
/
{id}
/
articles
/
{article_id}
Get an article
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/portals/{id}/articles/{article_id} \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/portals/{id}/articles/{article_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/portals/{id}/articles/{article_id}"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": 123,
"content": "<string>",
"meta": {},
"position": 123,
"status": "draft",
"title": "<string>",
"slug": "<string>",
"views": 123,
"portal_id": 123,
"account_id": 123,
"author_id": 123,
"category_id": 123,
"folder_id": 123,
"associated_article_id": 123
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}Authorizations
Token de usuario. Envía el valor en el header api_access_token. Lo obtienes en el perfil (GET /api/v1/profile) o al regenerarlo.
Path Parameters
The slug identifier of the portal
The numeric ID of the account
Response
Success
The text content.
Available options:
draft, published, archived To associate similar articles to each other, e.g to provide the link for the reference.